Skip to main content
GET
/
webhook_deliveries
List webhook deliveries
curl --request GET \
  --url https://api.kapso.ai/platform/v1/webhook_deliveries \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event": "<string>",
      "attempt_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "response_status": 123,
      "delivered_at": "2023-11-07T05:31:56Z",
      "failed_at": "2023-11-07T05:31:56Z",
      "last_attempt_at": "2023-11-07T05:31:56Z",
      "webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "webhook_url": "<string>",
      "whatsapp_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "phone_number_id": "<string>",
      "conversation_phone_number": "<string>"
    }
  ],
  "paging": {
    "cursors": {
      "before": "<string>",
      "after": "<string>"
    },
    "next": "<string>",
    "previous": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

status
enum<string>

Filter by delivery status

Available options:
pending,
delivered,
failed
event
string

Filter by event type

webhook_id
string<uuid>

Filter by webhook ID

errors_only
boolean
default:false

Only return failed deliveries

period
enum<string>
default:24h

Time period filter

Available options:
24h,
7d,
30d
limit
integer
default:20

Maximum number of results per cursor-paginated page (default 20, max 100).

Required range: 1 <= x <= 100
before
string

Cursor for the previous page (Base64 encoded).

after
string

Cursor for the next page (Base64 encoded).

Response

Success

data
object[]
required
paging
object
required